
/* 
    CARDSELECTION.getCurrentCard() 初始化进来调用的方法
    CARDSELECTION.jumpToCardList() 事件调用的方法
       var initGetObj = {
            "parentServiceId": obj.parentServiceId,//必传
            "serviceId": obj.serviceId,// 必传
            "orderPrice": obj.orderPrice,// 必传
            "appointmentDate": obj.appointmentDate, // 必传
            "useDate": obj.useDate,  // 必传 
            "source": obj.source,
            "customLevel": obj.customLevel,
            "skId": !!obj.skId ? obj.skId : 0,
            "svId": !!obj.svId ? obj.svId : 0,
        };
*/
/*
    url需要带的参数
    *  parentServiceId	number	业务线id(必传)
    *  serviceId	number	服务项id(必传)
    *  orderPrice	number	单子的价格(必传)
    *  appointmentDate	long	预约时间(下单时间)，当前时间(必传)
    *  useDate	long	服务提供时间(必传)
    *  source	number	0：所有端;1:为到家客户端;2:速运客户端;3:H5;4:为后台;5:优配; 6:微信;7:赶集;8:备用;9:58同城;10:转转;11：微信钱包;12:微信公众号;13:菜鸟裹裹;14:1688
    *  customLevel	int	商家级别(只有家政业务线需要传递，1为保洁师，2为金牌保洁师)
    *  skId	number	规格keyId，只有速运业务线需要传递（数据来源于crm系统中真实的数据）
    *  svId	number	规格valueId 只有速运业务线需要传递（数据来源于crm系统中真实的数据）
*/
// 家政优惠券-------需要传递的参数（1）订单一共省了多少钱---money （2）优惠卷Id-----id （3）是否能和会员卡共用----iscoexistwithdk （4）优惠卷名称------discountname

/* 测试环境：url: '//tjzt74.djtest.cn',
 * 沙箱环境：https://tjzt8.djtest.cn
 * 线上环境：url: '//jzt.daojia.com
*/

var CARDSELECTION = {
    config: {
        url: '//jzt.daojia.com',
        parentServiceId: 0,
    },
    getCurrentCard: function (obj, calback) {
        var _this = this;
        _this.getDefaultCard(obj, calback);
    },
    /*
        获得商家优惠券的最优数据
    */
    MerchantCoupou: function (obj, callback) {
        var _this = this;
        var MerchantCoupouObj = {
            "businessId": obj.businessId,//必传
            "merchantId": obj.merchantId,// 必传
            "orderPrice": obj.orderPrice,// 必传
            "commodityId": obj.commodityId,
            "useDate": obj.useDate,  // 必传 
            "uid": obj.uid,
            "cityId": obj.cityId,
        };
        if (
            !!MerchantCoupouObj.businessId
            &&
            !!MerchantCoupouObj.merchantId
            &&
            !!MerchantCoupouObj.commodityId
            &&
            !!MerchantCoupouObj.orderPrice
            &&
            !!MerchantCoupouObj.useDate && typeof parseFloat(MerchantCoupouObj.useDate) === 'number'
        ) {
            var xhr = null;
            if (window.XMLHttpRequest) {
                xhr = new XMLHttpRequest();
            } else if (window.ActiveXObject) {
                xhr = new ActiveXObject("Microsoft.XMLHTTP");
            } else {
                xhr = null;
            }
            if (xhr) {
                xhr.open("POST", _this.config.url + "/dopcoupon/dkCardPromotion/MerchantCoupon/getOptimalCoupon", true);
                // 如果需要像 html 表单那样 POST 数据，请使用 setRequestHeader() 来添加 http 头。
                xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
                xhr.withCredentials = true; //支持跨域发送cookies  
                var senddata = '';
                for (v in MerchantCoupouObj) {
                    senddata += v + '=' + MerchantCoupouObj[v] + '&'
                }
                senddata = senddata.substring(0, senddata.length - 1);
                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {
                        // 一般会返回JSON或XML数据格式  
                        if (xhr.status == 200) {
                            var responseText = JSON.parse(xhr.responseText)
                            if (responseText.code === 0) {
                                if (typeof callback === "function") {
                                    callback(xhr.responseText);
                                }
                            } else if (responseText.code === 20) {
                                callback({
                                    code: 2,
                                    message: '请去登陆'
                                });
                            } else {
                                callback({
                                    code: 1,
                                    message: '请求参数有问题'
                                });
                            }
                            // 主动释放,JS本身也会回收的  
                            xhr = null;
                        } else {
                            callback({
                                code: 1,
                                message: '请求参数有问题'
                            });
                        }
                    }
                };
                xhr.send(senddata);
            }
        } else {
            if (typeof callback === "function") {
                callback({
                    code: 1,
                    message: '请求参数有问题'
                });

            }
        }
    },
    jumpToCardList: function (obj) {
        //点击跳转的状态
        var _this = this;
        _this.config.parentServiceId = obj.parentServiceId;
        var initGetObj = {
            "parentServiceId": obj.parentServiceId,//必传
            "serviceId": obj.serviceId,// 必传
            "orderPrice": obj.orderPrice,// 必传
            "appointmentDate": obj.appointmentDate, // 必传
            "useDate": obj.useDate,  // 必传 
            "source": obj.source,
            "customLevel": !!obj.customLevel ? obj.customLevel : 0,
            "skId": !!obj.skId ? obj.skId : 0,
            "svId": !!obj.svId ? obj.svId : 0,
            "merchantId": !!obj.merchantId ? obj.merchantId : 0,
            "sellerId": !!obj.sellerId ? obj.sellerId : 0,
            "commodityId": !!obj.commodityId ? obj.commodityId : 0,
        };

        if (
            !!initGetObj.parentServiceId
            &&
            !!initGetObj.serviceId
            &&
            !!initGetObj.orderPrice
            &&
            !!initGetObj.appointmentDate
            &&
            !!initGetObj.useDate && typeof parseFloat(initGetObj.useDate) === 'number'

        ) {
            var calbackurl = window.location.href;
            //当前的 url的参数-----encodeURIComponent，decodeURIComponent对于url整体----encodeURI，decodeURI
            var strPara = 'parentServiceId=' + encodeURIComponent(initGetObj.parentServiceId) + '&serviceId=' +
                encodeURIComponent(initGetObj.serviceId) + '&orderPrice=' + encodeURIComponent(initGetObj.orderPrice) + '&appointmentDate=' + encodeURIComponent(initGetObj.appointmentDate) +
                '&useDate=' + encodeURIComponent(initGetObj.useDate) + '&source=' + encodeURIComponent(initGetObj.source) + '&customLevel=' + encodeURIComponent(initGetObj.customLevel) + '&skId=' + encodeURIComponent(initGetObj.skId) +
                '&svId=' + encodeURIComponent(initGetObj.svId) + '&merchantId=' + encodeURIComponent(initGetObj.merchantId) + '&sellerId=' + encodeURIComponent(initGetObj.sellerId) + '&commodityId=' + + encodeURIComponent(initGetObj.commodityId) + '&calbackurl=' + encodeURIComponent(calbackurl);
            window.location.href = _this.config.url + '/dopcoupon/coupon/validCoupon?' + strPara;
        } else {
            if (typeof callback === "function") {
                callback({
                    code: 1,
                    message: '请求参数有问题'
                });
            }
        }
    },
    calbackCurrentCard: function () {
        var _this = this;
        if (_this.config.parentServiceId == 112) {
            var initGetObj = {
                "money": decodeURIComponent(_this.GetQueryString('money')),//必传
                "id": decodeURIComponent(_this.GetQueryString('id')),// 必传
                "iscoexistwithdk": decodeURIComponent(_this.GetQueryString('iscoexistwithdk')),// 必传
                "discountname": decodeURIComponent(_this.GetQueryString('discountname')), // 必传
                "code": decodeURIComponent(_this.GetQueryString('code')), // 必传
                "validCount": decodeURIComponent(_this.GetQueryString('validCount')), // 必传
            };
        } else {
            var initGetObj = {
                "money": decodeURIComponent(_this.GetQueryString('money')),//必传
                "id": decodeURIComponent(_this.GetQueryString('id')),// 必传
                "iscoexistwithdk": decodeURIComponent(_this.GetQueryString('iscoexistwithdk')),// 必传
                "discountname": decodeURIComponent(_this.GetQueryString('discountname')), // 必传

            };
        }

        var obj = {
            code: 1,
            initGetObj: initGetObj
        }
        return obj;

    },
    GetQueryString: function (name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
        var r = window.location.search.substr(1).match(reg);
        if (r != null) return r[2]; return '';
    },
    getDefaultCard: function (obj, callback) {
        //calback='CALBACK'
        var _this = this;
        var senddata = null;
        var initGetObj = {
            "parentServiceId": obj.parentServiceId,//必传
            "serviceId": obj.serviceId,// 必传
            "orderPrice": obj.orderPrice,// 必传
            "appointmentDate": obj.appointmentDate, // 必传
            "useDate": obj.useDate,  // 必传 
            "source": obj.source,
            "customLevel": !!obj.customLevel ? obj.customLevel : 0,
            "skId": !!obj.skId ? obj.skId : 0,
            "svId": !!obj.svId ? obj.svId : 0,
            "merchantId": !!obj.merchantId ? obj.merchantId : 0,
            "sellerId": !!obj.sellerId ? obj.sellerId : 0,
            "commodityId": !!obj.commodityId ? obj.commodityId : 0,
        };
        if (
            !!initGetObj.parentServiceId
            &&
            !!initGetObj.serviceId
            &&
            !!initGetObj.orderPrice
            &&
            !!initGetObj.appointmentDate
            &&
            !!initGetObj.useDate && typeof parseFloat(initGetObj.useDate) === 'number'
        ) {
            var xhr = null;
            if (window.XMLHttpRequest) {
                xhr = new XMLHttpRequest();
            } else if (window.ActiveXObject) {
                xhr = new ActiveXObject("Microsoft.XMLHTTP");
            } else {
                xhr = null;
            }
            if (xhr) {
                xhr.open("POST", _this.config.url + "/dopcoupon/coupon/getOptimalCoupon", true);
                // 如果需要像 html 表单那样 POST 数据，请使用 setRequestHeader() 来添加 http 头。
                xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
                xhr.withCredentials = true; //支持跨域发送cookies  
                var senddata = 'parentServiceId=' + initGetObj.parentServiceId +
                    '&serviceId=' + initGetObj.serviceId + '&orderPrice=' + initGetObj.orderPrice +
                    '&appointmentDate=' + initGetObj.appointmentDate + '&useDate=' + initGetObj.useDate + '&source=' + initGetObj.source +
                    '&customLevel=' + initGetObj.customLevel + '&skId=' + initGetObj.skId + '&svId=' + initGetObj.svId + '&merchantId=' + initGetObj.merchantId + '&sellerId=' + initGetObj.sellerId + '&commodityId=' + + initGetObj.commodityId;
                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {
                        // 一般会返回JSON或XML数据格式  
                        if (xhr.status == 200) {
                            var responseText = JSON.parse(xhr.responseText)
                            if (responseText.code === 0) {
                                if (typeof callback === "function") {
                                    callback(xhr.responseText);
                                }
                            } else if (responseText.code === 20) {
                                callback({
                                    code: 2,
                                    message: '请去登陆'
                                });
                            } else {
                                callback({
                                    code: 1,
                                    message: '请求参数有问题'
                                });
                            }
                            // 主动释放,JS本身也会回收的  
                            xhr = null;
                        } else {
                            callback({
                                code: 1,
                                message: '请求参数有问题'
                            });
                        }
                    }
                };
                xhr.send(senddata);
            }
        } else {
            if (typeof callback === "function") {
                callback({
                    code: 1,
                    message: '请求参数有问题'
                });

            }
        }
    }
}