(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
	typeof define === 'function' && define.amd ? define(factory) :
	(global.djwx = factory());
}(this, (function () { 'use strict';

	/*
	param name:要查找的key值
	return ：如果找到则返回value，否则返回undefined
	*/

	var getDataFromCookie = function getDataFromCookie(name) {
		var cookie = document.cookie;
		if (cookie) {
			var namesArray = cookie.split(";");
			var nameArray = namesArray.filter(function (val, ind) {
				var tempArr = val.split("=");
				for (var i = 0; i < tempArr.length; i++) {
					tempArr[i] = tempArr[i].replace(/\s/g, '');
				}
				return tempArr[0] == name;
			});
			var nameString = nameArray.length > 0 ? nameArray[0] : '';
			var startIndex = nameString.search("=");
			var searchValue = nameString.length > 0 ? nameString.slice(startIndex + 1) : undefined;
			return searchValue;
		} else {
			return undefined;
		}
	};

	var getLoginInfo = function getLoginInfo() {
		var djfrtuid = getDataFromCookie('djfrtuid');
		var djfrttok = getDataFromCookie('djfrttok');
		if (djfrtuid && djfrttok) {
			return {
				djfrtuid: djfrtuid,
				djfrttok: djfrttok
			};
		} else {
			return undefined;
		}
	};

	var toCash = function toCash() {
		var option = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
			signData: ""
		};

		wx.miniProgram.getEnv(function (res) {
			if (res.miniprogram) {
				if (option.signData.length == 0) {
					alert("signData不能为空");
					return;
				}
				var lg = getLoginInfo();
				var sd = encodeURIComponent(option.signData);
				var url;
				if (lg) {
					var loginInfo = encodeURIComponent(JSON.stringify(lg));
					url = "/pages/cashPage/cashPage?signData=" + sd + "&loginInfo=" + loginInfo;
				} else {
					url = "/pages/cashPage/cashPage?signData=" + sd;
				}

				wx.miniProgram.navigateTo({
					url: url
				});
			}
		});
	};

	var toCashByOrderId = function toCashByOrderId() {
	  var option = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
	    orderId: "",
	    from: 1,
	    cancelJumpType: 1,
	    cancelJumpUrl: "",
	    successJumpType: 1,
	    successJumpUrl: "" //成功跳转链接
	  };

	  wx.miniProgram.getEnv(function (res) {
	    if (res.miniprogram) {
	      if (option.from == 4) {
	        if (option.orderId.length === 0) {
	          return;
	        }
	      } else if (!option.orderId.length || !option.cancelJumpUrl.length || !option.successJumpUrl.length) {
	        console.log('参数不全', JSON.stringify(option));
	        return;
	      }
	      var lg = getLoginInfo();
	      var orderId = encodeURIComponent(option.orderId);
	      var from = encodeURIComponent(option.from);
	      var cancelJumpType = encodeURIComponent(option.cancelJumpType || '');
	      var cancelJumpUrl = encodeURIComponent(option.cancelJumpUrl || '');
	      var successJumpType = encodeURIComponent(option.successJumpType || '');
	      var successJumpUrl = encodeURIComponent(option.successJumpUrl || '');
	      var url;
	      if (lg) {
	        var loginInfo = encodeURIComponent(JSON.stringify(lg));
	        url = "/pages/cashPage/cashPage?from=" + from + "&cancelJumpType=" + cancelJumpType + "&cancelJumpUrl=" + cancelJumpUrl + "&successJumpType=" + successJumpType + "&successJumpUrl=" + successJumpUrl + "&orderId=" + orderId + "&loginInfo=" + loginInfo;
	      } else {
	        alert("没有登录");
	        return;
	      }

	      wx.miniProgram.navigateTo({
	        url: url
	      });
	    }
	  });
	};

	var toPureCashPage = function toPureCashPage() {
	  var option = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
	    businessId: "",
	    payOrderId: "",
	    orderId: "",
	    payData: "",
	    cancelJumpUrl: "",
	    successJumpUrl: "" //成功跳转链接
	  };

	  wx.miniProgram.getEnv(function (res) {
	    if (res.miniprogram) {

	      var lg = getLoginInfo();
	      var cancelJumpUrl = encodeURIComponent(option.cancelJumpUrl);
	      var successJumpUrl = encodeURIComponent(option.successJumpUrl);
	      var businessId = encodeURIComponent(option.businessId);
	      var payOrderId = encodeURIComponent(option.payOrderId);
	      var orderId = encodeURIComponent(option.orderId);
	      var payData = encodeURIComponent(option.payData);
	      var url;
	      if (lg) {
	        var loginInfo = encodeURIComponent(JSON.stringify(lg));
	        url = "/pages/pureCashPage/pureCashPage?cancelJumpUrl=" + cancelJumpUrl + "&successJumpUrl=" + successJumpUrl + "&payData=" + payData + "&businessId=" + businessId + "&payOrderId=" + payOrderId + "&orderId=" + orderId + "&loginInfo=" + loginInfo;
	      } else {
	        alert("没有登录");
	        return;
	      }

	      wx.miniProgram.navigateTo({
	        url: url
	      });
	    }
	  });
	};

	var toPay = function toPay() {
	  var option = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

	  wx.miniProgram.getEnv(function (res) {
	    if (res.miniprogram) {

	      var lg = getLoginInfo();
	      var payParam = encodeURIComponent(JSON.stringify(option.payParam));
	      var cancelUrl = encodeURIComponent(option.cancelUrl);
	      var cashierUrl = encodeURIComponent(option.cashierUrl);
	      var url;
	      if (lg) {
	        var loginInfo = encodeURIComponent(JSON.stringify(lg));
	        url = "/pages/h5Pay/h5Pay?payParam=" + payParam + "&cancelUrl=" + cancelUrl + "&cashierUrl=" + cashierUrl + "&loginInfo=" + loginInfo;
	      } else {
	        alert("没有登录");
	        return;
	      }

	      wx.miniProgram.navigateTo({
	        url: url
	      });
	    }
	  });
	};

	var isRegular = function isRegular(type) {
		switch (type) {
			case "navigateTo":
				return true;
			case "navigateBack":
				return true;
			case "switchTab":
				return true;
			case "reLaunch":
				return true;
			case "redirectTo":
				return true;
			default:
				return false;
		}
	};

	var getQueryString = function getQueryString(name) {
	   var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	   var r = window.location.search.substr(1).match(reg);
	   if (r != null) return r[2];
	};

	var separateUrl = function separateUrl(str) {
		var search = str.search(/\?/) > -1 ? str.split("?")[1] : undefined;
		var url = str.split("?")[0];
		if (search) {
			var searchItemBox = search.split("&");
			var searchItems = {};
			searchItemBox.forEach(function (val, index) {
				var name = val.split("=")[0];
				var value = val.split("=")[1];
				searchItems[name] = value;
			});

			return {
				searchItems: searchItems,
				url: url
			};
		}
		return undefined;
	};

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) {
	  return typeof obj;
	} : function (obj) {
	  return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
	};

	var setTrack = function setTrack(_data, track) {
		var obj = {},
		    data = _data ? _data : {};
		track.forEach(function (val, ind) {
			obj[val] = data[val] ? data[val] : getQueryString(val);
		});

		return JSON.stringify(obj);
	};

	var toPage = function toPage() {
		var option = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
			url: "",
			type: "navigateTo",
			data: {},
			transferAddress: false
		};

		wx.miniProgram.getEnv(function (res) {
			if (res.miniprogram) {
				if (isRegular(option.type)) {
					var lg = getLoginInfo();
					var fromWebView = true;
					var turl;
					var _url;
					var cityId = option.transferAddress ? getDataFromCookie("dj_cityid") : undefined;
					var dj_location;
					if (getDataFromCookie('dj_location')) {
						dj_location = decodeURIComponent(getDataFromCookie('dj_location'));
					} else {
						dj_location = '';
					}

					var trackString = setTrack(option.data, ["hmsr", "hmpl", "znsr"]);

					// 分离 option.url 中携带的参数，返回一个单纯的url和参数
					var separated_url = separateUrl(option.url);
					if (separated_url) {
						option.url = separated_url.url;

						var searchItems = separated_url.searchItems;
						option.data = Object.assign({}, option.data, searchItems);
					}

					if (lg || cityId) {
						var loginInfo = lg ? encodeURIComponent(JSON.stringify(lg)) : undefined;

						turl = option.url + "?fromWebView=" + fromWebView + "&track=" + trackString;
						for (var key in option.data) {
							var value = option.data[key];
							if ((typeof value === "undefined" ? "undefined" : _typeof(value)) == 'object') {
								value = JSON.stringify(value);
							}
							value = encodeURIComponent(value);
							turl = turl + "&" + key + "=" + value;
						}
						turl = encodeURIComponent(turl);
						_url = "/pages/webViewTempPage/webViewTempPage?url=" + turl + "&loginInfo=" + loginInfo + "&cityId=" + cityId + "&location=" + dj_location;
					} else {
						trackString = encodeURIComponent(trackString);
						_url = option.url + "?fromWebView=" + fromWebView + "&track=" + trackString;
						for (var _key in option.data) {
							var _value = option.data[_key];
							if ((typeof _value === "undefined" ? "undefined" : _typeof(_value)) == 'object') {
								_value = JSON.stringify(_value);
							}
							_value = encodeURIComponent(_value);
							_url = _url + "&" + _key + "=" + _value;
						}
					}

					wx.miniProgram[option.type]({
						url: _url
					});
				} else {
					alert("wrong type:choose from navigateTo,redirectTo,navigateBack,switchTab,reLaunch");
				}
			}
		});
	};

	var getEnv = function getEnv() {
		var hostname = location.hostname;
		var hostname_arr = hostname.split(".");
		var env_arr;
		if (hostname_arr.length >= 2) {
			env_arr = hostname_arr.slice(hostname_arr.length - 2);
		} else {
			env_arr = hostname_arr;
		}
		var envStr = env_arr.join(".");

		return envStr;
	};

	var cookie_key = 'DJWX_PAY_RESULT_PAGE';
	var domain = getEnv(),
	    path = "/";
	var domain_path = "domain=" + domain + ";path=" + path;

	var initPage = function initPage() {
		var option = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
			pagePath: ""
		};

		if (option.pagePath.length > 0) {
			var _path = encodeURIComponent(option.pagePath);
			document.cookie = cookie_key + "=" + _path + ";" + domain_path;
		} else {
			var page_path = getQueryString(cookie_key) || "";
			document.cookie = cookie_key + "=" + page_path + ";" + domain_path;
		}
	};

	function setCookie(name, value, exhours, path, domain) {
	    var cookiePath = path ? '; path=' + path : '';
	    var cookieDomain = domain ? '; domain=' + domain : '';
	    if (!exhours) {
	        document.cookie = name + '=' + value + cookiePath + cookieDomain;
	        return;
	    }
	    var d = new Date();
	    d.setTime(d.getTime() + exhours * 60 * 60 * 1000);
	    var expires = 'expires=' + d.toUTCString();
	    document.cookie = name + '=' + value + '; ' + expires + cookiePath + cookieDomain;
	}

	function getCookieDomain() {
	    var url = document.domain;
	    var domain = url.match(/[\w][\w-]*\.(?:com\.cn|com|cn|co|net|org|gov|cc|biz|info|so)/) ? "." + url.match(/[\w][\w-]*\.(?:com\.cn|com|cn|co|net|org|gov|cc|biz|info|so)/)[0] : url;
	    return domain;
	}

	function isMiniProgram() {
	    return window.__wxjs_environment == 'miniprogram';
	}

	function getUrlParam(name) {
	    var url = decodeURIComponent(window.location.href);
	    var reg = new RegExp('(\\?|&)' + name + '=([^&?#]*)', 'i');
	    var arr = url.match(reg);
	    if (arr) {
	        return decodeURIComponent(arr[2]);
	    }
	    return null;
	}

	var setCookieForPay = function setCookieForPay() {
	    var cookieDomain = getCookieDomain();

	    var isMini = isMiniProgram();
	    var mpOpenId = getUrlParam('mpOpenId');
	    var appid = getUrlParam('appid');

	    if (!isMini) {
	        return;
	    }
	    if (mpOpenId) {
	        setCookie("openId", mpOpenId, 365 * 24, '/', cookieDomain);
	    }
	    if (appid) {
	        setCookie("dj_appid", appid, 365 * 24, '/', cookieDomain);
	    }
	};

	var version = '1.0.1';

	setCookieForPay();

	var main = {
		version: version,
		toCash: toCash,
		toPureCash: toPureCashPage,
		toPay: toPay,
		toCashByOrderId: toCashByOrderId,
		toPage: toPage,
		initPage: initPage
	};

	return main;

})));
